Redmine zip archives on RubyForge are corrupted since version 2.1.4

2013-01-24 17:56 - Vincent Mathon

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Zip archives downloaded from http://rubyforge.org/frs/?group_id=1850 are corrupted since redmine version 2.1.4. For instance

SVG/Graph/Graph.rb file has systematically an extra line break for each line.

Starting webrick fails with following error:

Exiting

SyntaxError: C:/usr/redmine/redmine-2.1.4/lib/SVG/Graph/Graph.rb:979: can't find

 string "EOL" anywhere before EOF

             require at org/jruby/RubyKernel.java:1027

             require at C:/jruby-1.7.2/lib/ruby/gems/shared/gems/activesupport-3

.2.8/lib/active_support/dependencies.rb:251

     load_dependency at C:/jruby-1.7.2/lib/ruby/gems/shared/gems/activesupport-3

.2.8/lib/active_support/dependencies.rb:236

             require at C:/jruby-1.7.2/lib/ruby/gems/shared/gems/activesupport-3

.2.8/lib/active_support/dependencies.rb:251

.........

 I have systematically downloaded each redmine 2.x archive and found that the problem started since version 2.1.4 (this also proves

that the problem is not due to my firewall).

Workaround: sources from redmine git repository are OK.

Associated revisions

Revision 11269 - 2013-01-26 10:46 - Jean-Philippe Lang

Set proper EOL on SVG source files (#12971).

Revision 11357 - 2013-02-12 04:52 - Toshi MARUYAMA

2.2-stable: svn propset svn:eol-style native SVG source files (#12971)

History

#1 - 2013-01-24 19:43 - Jan Niggemann (redmine.org team member)

I can't confirm this:  

Version OS tool result

2.2.2. Win 7 Pro 7-Zip 9.20 no errors

2.2.1 Win 7 Pro 7-Zip 9.20 no errors

2.2.2 Debian stable UnZip 6.00 no errors

2.2.1 Debian stable UnZip 6.00 no errors

2.1.5 Debian stable UnZip 6.00 no errors

#2 - 2013-01-25 10:51 - Etienne Massip

- Category set to Website (redmine.org)

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

I can.
Althouh the Zip files integrity is Ok, EOL sequences in Graph.rb have been converted from CRLF to CRCRLF.

Usually Redmine repository files EOL sequence is Unix LF and this file is an exception.

#3 - 2013-01-25 14:09 - Jan Niggemann (redmine.org team member)

Zip archives downloaded from http://rubyforge.org/frs/?group_id=1850 are corrupted

 Serves me well for only reading the first paragraph...

#4 - 2013-02-13 00:06 - Toshi MARUYAMA

- Status changed from Confirmed to Needs feedback

Please check 2.2.3 zip.

#5 - 2013-02-13 00:07 - Toshi MARUYAMA

- Target version deleted (Candidate for next minor release)

#6 - 2013-02-13 09:47 - Vincent Mathon

The SVG/Graph/Graph.rb file is correct and I have deployed the 2.2.3 zip archive successfully with webrick.

For me the issue is solved, thank you.

#7 - 2013-02-13 09:51 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Thank you for your feedback.
